#include <inline/stub.h>
#ifndef BASE_EXT_DECL
#define BASE_EXT_DECL extern struct MathIeeeDoubBasBase * MathIeeeDoubBasBase;
#endif
#ifndef BASE_PAR_DECL
#define BASE_PAR_DECL
#endif
#ifndef BASE_NAME
#define BASE_NAME MathIeeeDoubBasBase
#endif
__inline static LONG const IEEEDPFix(BASE_PAR_DECL DOUBLE parm)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register DOUBLE d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x1e)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static DOUBLE const IEEEDPFlt(BASE_PAR_DECL long integer)
{
	BASE_EXT_DECL
	register DOUBLE res __asm("d0");
	register void *a6 __asm ("a6");
	register long d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = integer;
	__asm volatile ("
	jsr a6@(-0x24)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static LONG const IEEEDPCmp(BASE_PAR_DECL DOUBLE leftParm, DOUBLE rightParm)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register DOUBLE d0 __asm("d0");
	register DOUBLE d1 __asm("d2");

	a6 = BASE_NAME;
	d0 = leftParm;
	d1 = rightParm;
	__asm volatile ("
	jsr a6@(-0x2a)"
	: "=r" (res)
	: "r" (a6), "r" (d0), "r" (d1)
	: "d0", "d1", "a0", "a1", "d2", "d3");
	return res;
}
__inline static LONG const IEEEDPTst(BASE_PAR_DECL DOUBLE parm)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register DOUBLE d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x30)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static DOUBLE const IEEEDPAbs(BASE_PAR_DECL DOUBLE parm)
{
	BASE_EXT_DECL
	register DOUBLE res __asm("d0");
	register void *a6 __asm ("a6");
	register DOUBLE d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x36)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static DOUBLE const IEEEDPNeg(BASE_PAR_DECL DOUBLE parm)
{
	BASE_EXT_DECL
	register DOUBLE res __asm("d0");
	register void *a6 __asm ("a6");
	register DOUBLE d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x3c)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static DOUBLE const IEEEDPAdd(BASE_PAR_DECL DOUBLE leftParm, DOUBLE rightParm)
{
	BASE_EXT_DECL
	register DOUBLE res __asm("d0");
	register void *a6 __asm ("a6");
	register DOUBLE d0 __asm("d0");
	register DOUBLE d1 __asm("d2");

	a6 = BASE_NAME;
	d0 = leftParm;
	d1 = rightParm;
	__asm volatile ("
	jsr a6@(-0x42)"
	: "=r" (res)
	: "r" (a6), "r" (d0), "r" (d1)
	: "d0", "d1", "a0", "a1", "d2", "d3");
	return res;
}
__inline static DOUBLE const IEEEDPSub(BASE_PAR_DECL DOUBLE leftParm, DOUBLE rightParm)
{
	BASE_EXT_DECL
	register DOUBLE res __asm("d0");
	register void *a6 __asm ("a6");
	register DOUBLE d0 __asm("d0");
	register DOUBLE d1 __asm("d2");

	a6 = BASE_NAME;
	d0 = leftParm;
	d1 = rightParm;
	__asm volatile ("
	jsr a6@(-0x48)"
	: "=r" (res)
	: "r" (a6), "r" (d0), "r" (d1)
	: "d0", "d1", "a0", "a1", "d2", "d3");
	return res;
}
__inline static DOUBLE const IEEEDPMul(BASE_PAR_DECL DOUBLE factor1, DOUBLE factor2)
{
	BASE_EXT_DECL
	register DOUBLE res __asm("d0");
	register void *a6 __asm ("a6");
	register DOUBLE d0 __asm("d0");
	register DOUBLE d1 __asm("d2");

	a6 = BASE_NAME;
	d0 = factor1;
	d1 = factor2;
	__asm volatile ("
	jsr a6@(-0x4e)"
	: "=r" (res)
	: "r" (a6), "r" (d0), "r" (d1)
	: "d0", "d1", "a0", "a1", "d2", "d3");
	return res;
}
__inline static DOUBLE const IEEEDPDiv(BASE_PAR_DECL DOUBLE dividend, DOUBLE divisor)
{
	BASE_EXT_DECL
	register DOUBLE res __asm("d0");
	register void *a6 __asm ("a6");
	register DOUBLE d0 __asm("d0");
	register DOUBLE d1 __asm("d2");

	a6 = BASE_NAME;
	d0 = dividend;
	d1 = divisor;
	__asm volatile ("
	jsr a6@(-0x54)"
	: "=r" (res)
	: "r" (a6), "r" (d0), "r" (d1)
	: "d0", "d1", "a0", "a1", "d2", "d3");
	return res;
}
__inline static DOUBLE const IEEEDPFloor(BASE_PAR_DECL DOUBLE parm)
{
	BASE_EXT_DECL
	register DOUBLE res __asm("d0");
	register void *a6 __asm ("a6");
	register DOUBLE d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x5a)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static DOUBLE const IEEEDPCeil(BASE_PAR_DECL DOUBLE parm)
{
	BASE_EXT_DECL
	register DOUBLE res __asm("d0");
	register void *a6 __asm ("a6");
	register DOUBLE d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x60)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
#undef BASE_EXT_DECL
#undef BASE_PAR_DECL
#undef BASE_NAME
