#include <inline/stub.h>
#ifndef BASE_EXT_DECL
#define BASE_EXT_DECL extern struct MathIeeeDoubTransBase * MathIeeeDoubTransBase;
#endif
#ifndef BASE_PAR_DECL
#define BASE_PAR_DECL
#endif
#ifndef BASE_NAME
#define BASE_NAME MathIeeeDoubTransBase
#endif
__inline static DOUBLE const IEEEDPAtan(BASE_PAR_DECL DOUBLE parm)
{
	BASE_EXT_DECL
	register DOUBLE res __asm("d0");
	register void *a6 __asm ("a6");
	register DOUBLE d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x1e)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static DOUBLE const IEEEDPSin(BASE_PAR_DECL DOUBLE parm)
{
	BASE_EXT_DECL
	register DOUBLE res __asm("d0");
	register void *a6 __asm ("a6");
	register DOUBLE d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x24)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static DOUBLE const IEEEDPCos(BASE_PAR_DECL DOUBLE parm)
{
	BASE_EXT_DECL
	register DOUBLE res __asm("d0");
	register void *a6 __asm ("a6");
	register DOUBLE d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x2a)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static DOUBLE const IEEEDPTan(BASE_PAR_DECL DOUBLE parm)
{
	BASE_EXT_DECL
	register DOUBLE res __asm("d0");
	register void *a6 __asm ("a6");
	register DOUBLE d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x30)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static DOUBLE IEEEDPSincos(BASE_PAR_DECL DOUBLE* pf2, DOUBLE parm)
{
	BASE_EXT_DECL
	register DOUBLE res __asm("d0");
	register void *a6 __asm ("a6");
	register DOUBLE* a0 __asm("a0");
	register DOUBLE d0 __asm("d0");

	a6 = BASE_NAME;
	a0 = pf2;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x36)"
	: "=r" (res)
	: "r" (a6), "r" (a0), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static DOUBLE const IEEEDPSinh(BASE_PAR_DECL DOUBLE parm)
{
	BASE_EXT_DECL
	register DOUBLE res __asm("d0");
	register void *a6 __asm ("a6");
	register DOUBLE d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x3c)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static DOUBLE const IEEEDPCosh(BASE_PAR_DECL DOUBLE parm)
{
	BASE_EXT_DECL
	register DOUBLE res __asm("d0");
	register void *a6 __asm ("a6");
	register DOUBLE d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x42)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static DOUBLE const IEEEDPTanh(BASE_PAR_DECL DOUBLE parm)
{
	BASE_EXT_DECL
	register DOUBLE res __asm("d0");
	register void *a6 __asm ("a6");
	register DOUBLE d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x48)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static DOUBLE const IEEEDPExp(BASE_PAR_DECL DOUBLE parm)
{
	BASE_EXT_DECL
	register DOUBLE res __asm("d0");
	register void *a6 __asm ("a6");
	register DOUBLE d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x4e)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static DOUBLE const IEEEDPLog(BASE_PAR_DECL DOUBLE parm)
{
	BASE_EXT_DECL
	register DOUBLE res __asm("d0");
	register void *a6 __asm ("a6");
	register DOUBLE d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x54)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static DOUBLE const IEEEDPPow(BASE_PAR_DECL DOUBLE exp, DOUBLE arg)
{
	BASE_EXT_DECL
	register DOUBLE res __asm("d0");
	register void *a6 __asm ("a6");
	register DOUBLE d2 __asm("d2");
	register DOUBLE d3 __asm("d0");

	a6 = BASE_NAME;
	d2 = exp;
	d3 = arg;
	__asm volatile ("
	jsr a6@(-0x5a)"
	: "=r" (res)
	: "r" (a6), "r" (d2), "r" (d3)
	: "d0", "d1", "a0", "a1", "d2", "d3");
	return res;
}
__inline static DOUBLE const IEEEDPSqrt(BASE_PAR_DECL DOUBLE parm)
{
	BASE_EXT_DECL
	register DOUBLE res __asm("d0");
	register void *a6 __asm ("a6");
	register DOUBLE d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x60)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static FLOAT const IEEEDPTieee(BASE_PAR_DECL DOUBLE parm)
{
	BASE_EXT_DECL
	register FLOAT res __asm("d0");
	register void *a6 __asm ("a6");
	register DOUBLE d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x66)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static DOUBLE const IEEEDPFieee(BASE_PAR_DECL FLOAT single)
{
	BASE_EXT_DECL
	register DOUBLE res __asm("d0");
	register void *a6 __asm ("a6");
	register FLOAT d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = single;
	__asm volatile ("
	jsr a6@(-0x6c)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static DOUBLE const IEEEDPAsin(BASE_PAR_DECL DOUBLE parm)
{
	BASE_EXT_DECL
	register DOUBLE res __asm("d0");
	register void *a6 __asm ("a6");
	register DOUBLE d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x72)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static DOUBLE const IEEEDPAcos(BASE_PAR_DECL DOUBLE parm)
{
	BASE_EXT_DECL
	register DOUBLE res __asm("d0");
	register void *a6 __asm ("a6");
	register DOUBLE d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x78)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static DOUBLE const IEEEDPLog10(BASE_PAR_DECL DOUBLE parm)
{
	BASE_EXT_DECL
	register DOUBLE res __asm("d0");
	register void *a6 __asm ("a6");
	register DOUBLE d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x7e)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
#undef BASE_EXT_DECL
#undef BASE_PAR_DECL
#undef BASE_NAME
