#include <inline/stub.h>
#ifndef BASE_EXT_DECL
#define BASE_EXT_DECL extern struct MathIeeeSingBasBase * MathIeeeSingBasBase;
#endif
#ifndef BASE_PAR_DECL
#define BASE_PAR_DECL
#endif
#ifndef BASE_NAME
#define BASE_NAME MathIeeeSingBasBase
#endif
__inline static LONG const IEEESPFix(BASE_PAR_DECL FLOAT parm)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register FLOAT d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x1e)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static FLOAT const IEEESPFlt(BASE_PAR_DECL long integer)
{
	BASE_EXT_DECL
	register FLOAT res __asm("d0");
	register void *a6 __asm ("a6");
	register long d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = integer;
	__asm volatile ("
	jsr a6@(-0x24)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static LONG const IEEESPCmp(BASE_PAR_DECL FLOAT leftParm, FLOAT rightParm)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register FLOAT d0 __asm("d0");
	register FLOAT d1 __asm("d1");

	a6 = BASE_NAME;
	d0 = leftParm;
	d1 = rightParm;
	__asm volatile ("
	jsr a6@(-0x2a)"
	: "=r" (res)
	: "r" (a6), "r" (d0), "r" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static LONG const IEEESPTst(BASE_PAR_DECL FLOAT parm)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register FLOAT d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x30)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static FLOAT const IEEESPAbs(BASE_PAR_DECL FLOAT parm)
{
	BASE_EXT_DECL
	register FLOAT res __asm("d0");
	register void *a6 __asm ("a6");
	register FLOAT d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x36)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static FLOAT const IEEESPNeg(BASE_PAR_DECL FLOAT parm)
{
	BASE_EXT_DECL
	register FLOAT res __asm("d0");
	register void *a6 __asm ("a6");
	register FLOAT d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x3c)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static FLOAT const IEEESPAdd(BASE_PAR_DECL FLOAT leftParm, FLOAT rightParm)
{
	BASE_EXT_DECL
	register FLOAT res __asm("d0");
	register void *a6 __asm ("a6");
	register FLOAT d0 __asm("d0");
	register FLOAT d1 __asm("d1");

	a6 = BASE_NAME;
	d0 = leftParm;
	d1 = rightParm;
	__asm volatile ("
	jsr a6@(-0x42)"
	: "=r" (res)
	: "r" (a6), "r" (d0), "r" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static FLOAT const IEEESPSub(BASE_PAR_DECL FLOAT leftParm, FLOAT rightParm)
{
	BASE_EXT_DECL
	register FLOAT res __asm("d0");
	register void *a6 __asm ("a6");
	register FLOAT d0 __asm("d0");
	register FLOAT d1 __asm("d1");

	a6 = BASE_NAME;
	d0 = leftParm;
	d1 = rightParm;
	__asm volatile ("
	jsr a6@(-0x48)"
	: "=r" (res)
	: "r" (a6), "r" (d0), "r" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static FLOAT const IEEESPMul(BASE_PAR_DECL FLOAT leftParm, FLOAT rightParm)
{
	BASE_EXT_DECL
	register FLOAT res __asm("d0");
	register void *a6 __asm ("a6");
	register FLOAT d0 __asm("d0");
	register FLOAT d1 __asm("d1");

	a6 = BASE_NAME;
	d0 = leftParm;
	d1 = rightParm;
	__asm volatile ("
	jsr a6@(-0x4e)"
	: "=r" (res)
	: "r" (a6), "r" (d0), "r" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static FLOAT const IEEESPDiv(BASE_PAR_DECL FLOAT dividend, FLOAT divisor)
{
	BASE_EXT_DECL
	register FLOAT res __asm("d0");
	register void *a6 __asm ("a6");
	register FLOAT d0 __asm("d0");
	register FLOAT d1 __asm("d1");

	a6 = BASE_NAME;
	d0 = dividend;
	d1 = divisor;
	__asm volatile ("
	jsr a6@(-0x54)"
	: "=r" (res)
	: "r" (a6), "r" (d0), "r" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static FLOAT const IEEESPFloor(BASE_PAR_DECL FLOAT parm)
{
	BASE_EXT_DECL
	register FLOAT res __asm("d0");
	register void *a6 __asm ("a6");
	register FLOAT d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x5a)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static FLOAT const IEEESPCeil(BASE_PAR_DECL FLOAT parm)
{
	BASE_EXT_DECL
	register FLOAT res __asm("d0");
	register void *a6 __asm ("a6");
	register FLOAT d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x60)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
#undef BASE_EXT_DECL
#undef BASE_PAR_DECL
#undef BASE_NAME
