#include <inline/stub.h>
#ifndef BASE_EXT_DECL
#define BASE_EXT_DECL extern struct MathIeeeSingTransBase * MathIeeeSingTransBase;
#endif
#ifndef BASE_PAR_DECL
#define BASE_PAR_DECL
#endif
#ifndef BASE_NAME
#define BASE_NAME MathIeeeSingTransBase
#endif
__inline static FLOAT const IEEESPAtan(BASE_PAR_DECL FLOAT parm)
{
	BASE_EXT_DECL
	register FLOAT res __asm("d0");
	register void *a6 __asm ("a6");
	register FLOAT d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x1e)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static FLOAT const IEEESPSin(BASE_PAR_DECL FLOAT parm)
{
	BASE_EXT_DECL
	register FLOAT res __asm("d0");
	register void *a6 __asm ("a6");
	register FLOAT d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x24)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static FLOAT const IEEESPCos(BASE_PAR_DECL FLOAT parm)
{
	BASE_EXT_DECL
	register FLOAT res __asm("d0");
	register void *a6 __asm ("a6");
	register FLOAT d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x2a)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static FLOAT const IEEESPTan(BASE_PAR_DECL FLOAT parm)
{
	BASE_EXT_DECL
	register FLOAT res __asm("d0");
	register void *a6 __asm ("a6");
	register FLOAT d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x30)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static FLOAT IEEESPSincos(BASE_PAR_DECL FLOAT* cosptr, FLOAT parm)
{
	BASE_EXT_DECL
	register FLOAT res __asm("d0");
	register void *a6 __asm ("a6");
	register FLOAT* a0 __asm("a0");
	register FLOAT d0 __asm("d0");

	a6 = BASE_NAME;
	a0 = cosptr;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x36)"
	: "=r" (res)
	: "r" (a6), "r" (a0), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static FLOAT const IEEESPSinh(BASE_PAR_DECL FLOAT parm)
{
	BASE_EXT_DECL
	register FLOAT res __asm("d0");
	register void *a6 __asm ("a6");
	register FLOAT d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x3c)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static FLOAT const IEEESPCosh(BASE_PAR_DECL FLOAT parm)
{
	BASE_EXT_DECL
	register FLOAT res __asm("d0");
	register void *a6 __asm ("a6");
	register FLOAT d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x42)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static FLOAT const IEEESPTanh(BASE_PAR_DECL FLOAT parm)
{
	BASE_EXT_DECL
	register FLOAT res __asm("d0");
	register void *a6 __asm ("a6");
	register FLOAT d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x48)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static FLOAT const IEEESPExp(BASE_PAR_DECL FLOAT parm)
{
	BASE_EXT_DECL
	register FLOAT res __asm("d0");
	register void *a6 __asm ("a6");
	register FLOAT d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x4e)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static FLOAT const IEEESPLog(BASE_PAR_DECL FLOAT parm)
{
	BASE_EXT_DECL
	register FLOAT res __asm("d0");
	register void *a6 __asm ("a6");
	register FLOAT d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x54)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static FLOAT const IEEESPPow(BASE_PAR_DECL FLOAT exp, FLOAT arg)
{
	BASE_EXT_DECL
	register FLOAT res __asm("d0");
	register void *a6 __asm ("a6");
	register FLOAT d1 __asm("d1");
	register FLOAT d0 __asm("d0");

	a6 = BASE_NAME;
	d1 = exp;
	d0 = arg;
	__asm volatile ("
	jsr a6@(-0x5a)"
	: "=r" (res)
	: "r" (a6), "r" (d1), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static FLOAT const IEEESPSqrt(BASE_PAR_DECL FLOAT parm)
{
	BASE_EXT_DECL
	register FLOAT res __asm("d0");
	register void *a6 __asm ("a6");
	register FLOAT d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x60)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static FLOAT const IEEESPTieee(BASE_PAR_DECL FLOAT parm)
{
	BASE_EXT_DECL
	register FLOAT res __asm("d0");
	register void *a6 __asm ("a6");
	register FLOAT d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x66)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static FLOAT const IEEESPFieee(BASE_PAR_DECL FLOAT parm)
{
	BASE_EXT_DECL
	register FLOAT res __asm("d0");
	register void *a6 __asm ("a6");
	register FLOAT d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x6c)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static FLOAT const IEEESPAsin(BASE_PAR_DECL FLOAT parm)
{
	BASE_EXT_DECL
	register FLOAT res __asm("d0");
	register void *a6 __asm ("a6");
	register FLOAT d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x72)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static FLOAT const IEEESPAcos(BASE_PAR_DECL FLOAT parm)
{
	BASE_EXT_DECL
	register FLOAT res __asm("d0");
	register void *a6 __asm ("a6");
	register FLOAT d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x78)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static FLOAT const IEEESPLog10(BASE_PAR_DECL FLOAT parm)
{
	BASE_EXT_DECL
	register FLOAT res __asm("d0");
	register void *a6 __asm ("a6");
	register FLOAT d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = parm;
	__asm volatile ("
	jsr a6@(-0x7e)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
#undef BASE_EXT_DECL
#undef BASE_PAR_DECL
#undef BASE_NAME
