	
	.text
	
	.globl	.lmuls
.lmuls:	
	link	a6,#0
	moveml	#63488,a7@-
	tstw	a6@(8)
	bne	Lmul1
	tstw	a6@(12)
	bne	Lmul1
	movw	a6@(10),d0
	mulu	a6@(14),d0
	movl	d0,a6@(8)
	moveml	a7@+,#31
	unlk	a6
	rts
Lmul1:	
	movl	#1,d4
	movl	a6@(8),d2
	bge	Lmul2
	negl	d2
	negl	d4
Lmul2:	
	movl	a6@(12),d3
	bge	Lmul3
	negl	d3
	negl	d4
Lmul3:	
	clrl	d0
	movw	d2,d0
	mulu	d3,d0
	movw	d2,d1
	swap	d2
	mulu	d3,d2
	swap	d3
	mulu	d3,d1
	addl	d2,d1
	swap	d1
	clrw	d1
	addl	d1,d0
	tstl	d4
	bge	Lmul4
	negl	d0
Lmul4:	
	movl	d0,a6@(8)
	moveml	a7@+,#31
	unlk	a6
	rts
	
	.globl	.lmulu
.lmulu:	
	link	a6,#0
	moveml	#61440,a7@-
	tstw	a6@(8)
	beq	LMUTstSecond
	tstw	a6@(12)
	bne	LMUOverflow
LMUTough:
	movl	a6@(8),d2
	movl	a6@(12),d3
	clrl	d0
	movw	d2,d0
	mulu	d3,d0
	movw	d2,d1
	swap	d2
	mulu	d3,d2
	swap	d3
	mulu	d3,d1
	addl	d2,d1
	swap	d1
	tstw	d1
	bne	LMUOverflow
	addl	d1,d0
	bcc	LMUDone
LMUOverflow:	
	movl	#0xFFFFFFFF,d0
	jra	LMUDone
LMUTstSecond:	
	tstw	a6@(12)
	bne	LMUTough
	movw	a6@(10),d0
	mulu	a6@(14),d0
LMUDone:	
	movl	d0,a6@(8)
	moveml	a7@+,#15
	unlk	a6
	rts
	
	.globl	.ldivs
.ldivs:	
	link	a6,#0
	moveml	#32768,a7@-
	
	tstw	a6@(12)
	bnes	Ldiv1
	movl	a6@(8),d0
	bmis	Ldiv1
	divu	a6@(14),d0
	bvss	Ldiv1
	andl	#65535,d0
	
	movl	d0,a6@(8)
	moveml	a7@+,#1
	unlk	a6
	rts
Ldiv1:	
	moveml	#31744,a7@-
	movl	#1,d5
	movl	a6@(8),d0
	bges	Ldiv2
	negl	d0
	negl	d5
Ldiv2:	
	movl	d0,d3
	movl	a6@(12),d1
	bges	Ldiv3
	negl	d1
	negl	d5
Ldiv3:	
	movl	d1,d4
	cmpl	#65536,d1
	bges	Ldiv4
	clrw	d0
	swap	d0
	divu	d1,d0
	movw	d0,d2
	movw	d3,d0
	divu	d1,d0
	swap	d0
	movw	d2,d0
	swap	d0
	bras	Ldiv6
Ldiv4:	
	lsrl	#1,d0
	lsrl	#1,d1
	cmpl	#65536,d1
	bges	Ldiv4
	divu	d1,d0
	andl	#65535,d0
	movl	d0,d2
	movl	d0,a7@-
	movl	d4,a7@-
	bsr	.lmuls
	movl	a7@+,d0
	addw	#4,sp
	cmpl	d0,d3
	bges	Ldiv5
	subql	#1,d2
Ldiv5:	
	movl	d2,d0
Ldiv6:	
	tstl	d5
	bges	Ldiv7
	negl	d0
Ldiv7:	
	movl	d0,a6@(8)
	moveml	a7@+,#62
	moveml	a7@+,#1
	unlk	a6
	rts
	
	.globl	.ldivu
.ldivu:	
	link	a6,#0
	moveml	#32768,a7@-
	
	movl	a6@(8),d0
	tstw	a6@(12)
	bnes	LDULookCloser
	divu	a6@(14),d0
	bvss	LDU32
	andl	#65535,d0
	movl	d0,a6@(8)
LDUExit:	
	moveml	a7@+,#1
	unlk	a6
	rts
LDU32:
	moveml	#24576,a7@-
	movw	a6@(14),d1
	moveql	#0,d2
	swap	d0
	movw	d0,d2
	divu	d1,d2
	movw	d2,a6@(8)
	swap	d2
	movw	d2,d0
	swap	d0
	divu	d1,d0
	movw	d0,a6@(10)
	moveml	a7@+,#6
	jra	LDUExit
LDULookCloser:	
	moveml	#31744,a7@-
	movl	a6@(12),d1
	cmpl	d1,d0
	bgt	LDULong
	beq	LDUOne
	movl	#0,d0
	jra	LDUDone
LDUOne:	movl	#1,d0
	jra	LDUDone
LDULong:	
	movl	d0,d5
	movl	d1,d3
LDULoop:	
	lsrl	#1,d0
	lsrl	#1,d1
	cmpl	#65536,d1
	bges	LDULoop
	divu	d1,d0
	andl	#0xFFFF,d0
	movl	d0,d2
LDUTest:	
	movl	d3,a7@-
	movl	d2,a7@-
	bsr	.lmulu
	
	movl	a7@+,d0
	addqw	#4,sp
	cmpl	d5,d0
	beqs	LDUGood
	blts	LDUChkRem
	subql	#1,d2
	bras	LDUTest
LDUChkRem:	
	movl	d5,d4
	subl	d0,d4
	cmpl	d3,d4
	bles	LDUGood
	addql	#1,d2
	bras	LDUTest
LDUGood:	
	movl	d2,d0
LDUDone:	
	movl	d0,a6@(8)
	moveml	a7@+,#62
	jra	LDUExit
	
	.globl	.lmods
.lmods:	
	link	a6,#0
	moveml	#63488,a7@-
	
	tstw	a6@(12)
	bnes	Lmod1
	movl	a6@(8),d0
	bmis	Lmod1
	divu	a6@(14),d0
	bvss	Lmod1
	clrw	d0
	swap	d0
	
	movl	d0,a6@(8)
	moveml	a7@+,#31
	unlk	a6
	rts
Lmod1:	
	movl	#1,d4
	movl	a6@(8),d0
	bges	Lmod2
	negl	d0
	negl	d4
Lmod2:	
	movl	d0,d2
	movl	a6@(12),d1
	bges	Lmod3
	negl	d1
Lmod3:	
	cmpl	#65536,d1
	bges	Lmod4
	clrw	d0
	swap	d0
	divu	d1,d0
	movw	d2,d0
	divu	d1,d0
	clrw	d0
	swap	d0
	bras	Lmod7
Lmod4:	
	movl	d1,d3
Lmod5:	
	lsrl	#1,d0
	lsrl	#1,d1
	cmpl	#65536,d1
	bges	Lmod5
	divu	d1,d0
	andl	#65535,d0
	
	movl	d0,a7@-
	movl	d3,a7@-
	bsr	.lmuls
	movl	a7@+,d0
	addw	#4,sp
	
	cmpl	d0,d2
	bccs	Lmod6
	subl	d3,d0
Lmod6:	
	subl	d2,d0
	negl	d0
Lmod7:	
	tstl	d4
	bges	Lmod8
	negl	d0
Lmod8:	
	movl	d0,a6@(8)
	moveml	a7@+,#31
	unlk	a6
	rts
	
	.globl	.lmodu
.lmodu:	
	link	a6,#0
	moveml	#61440,a7@-
	
	movl	a6@(8),d0
	tstw	a6@(12)
	bnes	LMUfull
	divu	a6@(14),d0
	bvss	LMUfull
	clrw	d0
	swap	d0
	
	movl	d0,a6@(8)
	moveml	a7@+,#15
	unlk	a6
	rts
LMUfull:	
	movl	a6@(12),d3
	movl	d0,d2
	movl	d3,a7@-
	movl	d0,a7@-
	bsr	.ldivu
	movl	d3,a7@-
	bsr	.lmulu
	movl	a7@+,d1
	addqw	#8,sp
	subl	d1,d2
	movl	d2,a6@(8)
	moveml	a7@+,#15
	unlk	a6
	rts
	
	.globl	.cswitch
	
.cswitch:	
	movl	a7@+,a0
L_sw1:	
	movl	a0@+,a1
	movl	a1,d1
	beqs	L_sw2
	cmpl	a0@+,d0
	bnes	L_sw1
	jmp	a1@
L_sw2:	
	movl	a0@,a0
	jmp	a0@
