#include <inline/stub.h>
#ifndef BASE_EXT_DECL
#define BASE_EXT_DECL extern struct Library * TranslatorBase;
#endif
#ifndef BASE_PAR_DECL
#define BASE_PAR_DECL
#define BASE_PAR_DECL0
#endif
#ifndef BASE_NAME
#define BASE_NAME TranslatorBase
#endif
__inline static long Translate(BASE_PAR_DECL const char* inputString, long inputLength, char* outputBuffer, long bufferSize)
{
	BASE_EXT_DECL
	register long res __asm("d0");
	register void *a6 __asm ("a6");
	register const char* a0 __asm("a0");
	register long d0 __asm("d0");
	register char* a1 __asm("a1");
	register long d1 __asm("d1");

	a6 = BASE_NAME;
	a0 = inputString;
	d0 = inputLength;
	a1 = outputBuffer;
	d1 = bufferSize;
	__asm volatile ("
	jsr a6@(-0x1e)"
	: "=r" (res)
	: "r" (a6), "r" (a0), "r" (d0), "r" (a1), "r" (d1)
	: "d0", "d1", "a0", "a1");
	*a1=*a1;
	return res;
}
#undef BASE_EXT_DECL
#undef BASE_PAR_DECL
#undef BASE_PAR_DECL0
#undef BASE_NAME
